image: node:4.2.2

pages:
  cache:
    paths:
    - node_modules/

  script:
  - npm install -g typescript
  - npm install -g metalsmith
  - npm install
  - make build
  artifacts:
    paths:
    - public
  only:
  - master

